/*****************************************************************************/
/* Copyright (C) 2003-2012, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef _2413MP7JRSTERMNOTEQUALIFIERTYPE_LOCALTYPE_H
#define _2413MP7JRSTERMNOTEQUALIFIERTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrstermNoteQualifierType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrstermNoteQualifierType_LocalType<br>
 * Located at: mpeg7-2004.xsd, line 8999<br>
 * Enumerations: <br>
 * PN (mapped to XML PN) <br>
 * CN (mapped to XML CN) <br>
 * HN (mapped to XML HN) <br>
 * scope (mapped to XML scope) <br>
 * code (mapped to XML code) <br>
 */
class MP7JRS_EXPORT Mp7JrstermNoteQualifierType_LocalType
{
public:
	/** Mp7JrstermNoteQualifierType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		PN, // Mapped to PN
		CN, // Mapped to CN
		HN, // Mapped to HN
		scope, // Mapped to scope
		code, // Mapped to code
	};
	

// no includefile for extension defined 
// file Mp7JrstermNoteQualifierType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrstermNoteQualifierType_LocalType::Enumeration item);
	static Mp7JrstermNoteQualifierType_LocalType::Enumeration Parse(const XMLCh * const txt);

  static const XMLCh * nsURI(); // For namespace handling

// no includefile for extension defined 
// file Mp7JrstermNoteQualifierType_LocalType_ExtPropDef.h



};
#endif // _2413MP7JRSTERMNOTEQUALIFIERTYPE_LOCALTYPE_H
